var SlJsInfra = require("sl-js-infra").SlJsInfra;
function SourceFilesNotifier(logger) {
    this.MAX_FILES_NO_NOTIFY = 10;
    this.counter = 0;
    this.logger = logger;
}

SourceFilesNotifier.prototype.notifySources = function(sourcesArr, generatedFile, hasColumnInfo) {
    if(this.counter < this.MAX_FILES_NO_NOTIFY) {

        var message = JSON.stringify({
            generatedFileName: generatedFile,
            sources: sourcesArr,
            hasColumnInfo: hasColumnInfo
        });
        hasColumnInfo ? SlJsInfra.CockpitNotifier.sendGenericMessage(message) : SlJsInfra.CockpitNotifier.sendWarning(message);
        this.counter ++;
    } else {
        this.logger.debug("Not sending sources for file '%s'. already sent sources for '%s files", generatedFile, this.MAX_FILES_NO_NOTIFY)
    }
}
module.exports = SourceFilesNotifier;
